Page MenuHomePhabricator

Add Wikipedia app to share menu
Closed, ResolvedPublic

Description

For OTRS members: https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=7832996;

To search directly in the wikipedia for a string found on a website, it would be much easier to use a wikipedia entry in the "share" menu of the phone, instead of copying the text, close the browser, open the wikipedia app, tap into search and insert.


Version: Stable
Severity: enhancement

Details

Reference
bz71234
Related Gerrit Patches:
apps/android/wikipedia : masterAdd "Search Wikipedia" to system share options

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:52 AM
bzimport set Reference to bz71234.
bzimport added a subscriber: Unknown Object (MLST).
Florian created this task.Sep 24 2014, 3:00 PM

I'm not sure that putting Wikipedia in the "share" menu is the best option, because it wouldn't be at all obvious that "share" really means "search" in this case. If there is a way to put the app as its own option in that context menu (i.e. next to "Share", have an actual option called "Search Wikipedia"), then we should definitely do that.

One more: https://ticket.wikimedia.org/otrs/index.pl?Action=AgentTicketZoom&TicketID=8088988

I'm not sure that putting Wikipedia in the "share" menu is the best option, because it wouldn't be at all obvious that "share" really means "search" in this case. If there is a way to put the app as its own option in that context menu (i.e. next to "Share", have an actual option called "Search Wikipedia"), then we should definitely do that.

Hmm, i don't know, how the share menu works, but is it possible to name the menu seperatly, so that it doesn't use the app name and instead using the claim "Search in Wikipedia" or something else?

Dbrant triaged this task as Medium priority.May 5 2015, 1:12 PM
Niedzielski set Security to None.
Niedzielski moved this task from To Do to Doing on the Mobile-App-Sprint-57-Android board.

Change 212801 had a related patch set uploaded (by Niedzielski):
Add "Search Wikipedia" to system share options

https://gerrit.wikimedia.org/r/212801

Change 212801 merged by jenkins-bot:
Add "Search Wikipedia" to system share options

https://gerrit.wikimedia.org/r/212801

KLans_WMF closed this task as Resolved.Jun 12 2015, 6:09 PM